=== debian/changelog ===
orthanc-postgresql (1.2-1) unstable; urgency=medium

  [ Sebastien Jodogne ]
  * New upstream version

  [ Karsten Hilbert ]
  * Enhancements for README.Debian

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 03 Aug 2015 09:23:28 +0200

orthanc-postgresql (1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 03 Jul 2015 11:48:52 +0200

orthanc-postgresql (1.0-1) unstable; urgency=low

  * Initial release. (Closes: #779327)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Feb 2015 21:29:38 +0100
