=== debian/control ===
Source: orthanc-postgresql
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Standards-Version: 3.9.6
Build-Depends: cmake (>= 2.8),
               debhelper (>= 9),
               libboost-all-dev,
               libgtest-dev (>= 1.6.0),
               libjsoncpp-dev,
               libpq-dev,
               orthanc-dev (>= 0.9.1),
               postgresql-server-dev-all,
               unzip,
               uuid-dev
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/orthanc-postgresql/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/orthanc-postgresql/trunk/
Homepage: http://www.orthanc-server.com/static.php?page=postgresql

Package: orthanc-postgresql
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, orthanc (>= 0.9.1)
Suggests: postgresql
Description: Plugins to use PostgreSQL as a database back-end to Orthanc
 Orthanc PostgreSQL is a set of two plugins to Orthanc, a lightweight,
 RESTful Vendor Neutral Archive for medical imaging. These plugins
 override the default SQLite engine of Orthanc with a PostgreSQL
 back-end. They bring scalability to Orthanc, making it
 enterprise-ready.
