=== debian/rules ===
#!/usr/bin/make -f

export JAVASCRIPT_LIBS := Build/javascript-libs
export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '-' -f 1)
export TARGET_INDEX := libOrthancPostgreSQLIndex.so
export TARGET_STORAGE := libOrthancPostgreSQLStorage.so

%:
	dh $@ --parallel --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
        -DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_EXTRA_FLAGS)

override_dh_auto_install:
	cp Build/${TARGET_INDEX} Build/${TARGET_INDEX}.${UPSTREAM_VERSION}
	cp Build/${TARGET_STORAGE} Build/${TARGET_STORAGE}.${UPSTREAM_VERSION}

	dh_install Build/${TARGET_INDEX}.${UPSTREAM_VERSION} usr/lib
	dh_install Build/${TARGET_STORAGE}.${UPSTREAM_VERSION} usr/lib

override_dh_link:
	dh_link usr/lib/${TARGET_INDEX}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET_INDEX}
	dh_link usr/lib/${TARGET_STORAGE}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET_STORAGE}

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

get-orig-source:
	uscan --verbose --force-download --repack --compression xz
