## orthanc-postgresql 2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 project(OrthancPostgreSQL)
 
-set(ORTHANC_POSTGRESQL_VERSION "1.2")
+set(ORTHANC_POSTGRESQL_VERSION "2.0")
 
 
 # Parameters of the build
@@ -33,6 +33,7 @@
 set(USE_SYSTEM_BOOST ON CACHE BOOL "Use the system version of Boost")
 set(USE_SYSTEM_GOOGLE_TEST ON CACHE BOOL "Use the system version of Google Test")
 set(USE_SYSTEM_LIBPQ ON CACHE BOOL "Use the system version of the PostgreSQL client library")
+set(USE_SYSTEM_ORTHANC_SDK ON CACHE BOOL "Use the system version of the Orthanc plugin SDK")
 
 # Distribution-specific settings
 set(USE_GTEST_DEBIAN_SOURCE_PACKAGE OFF CACHE BOOL "Use the sources of Google Test shipped with libgtest-dev (Debian only)")
@@ -55,8 +56,8 @@
 endif()
 
 
-if (STATIC_BUILD)
-  include_directories(${ORTHANC_ROOT}/Sdk-0.9.1)
+if (STATIC_BUILD OR NOT USE_SYSTEM_ORTHANC_SDK)
+  include_directories(${ORTHANC_ROOT}/Sdk-0.9.5)
 else ()
   CHECK_INCLUDE_FILE_CXX(orthanc/OrthancCppDatabasePlugin.h HAVE_ORTHANC_H)
   if (NOT HAVE_ORTHANC_H)
@@ -99,10 +100,6 @@
   set(STORAGE_RESOURCES ${AUTOGENERATED_DIR}/StorageVersion.rc)
 endif()
 
-if (CMAKE_COMPILER_IS_GNUCXX)
-  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--version-script=${CMAKE_SOURCE_DIR}/Orthanc/Plugins/Samples/Common/VersionScript.map -Wl,--no-undefined")
-endif()
-
 
 
 # Embed the SQL files into the binaries
@@ -110,6 +107,8 @@
   --system-exception 
   --namespace=OrthancPlugins
   POSTGRESQL_PREPARE ${CMAKE_CURRENT_SOURCE_DIR}/IndexPlugin/PostgreSQLPrepare.sql
+  POSTGRESQL_PREPARE_V5 ${CMAKE_CURRENT_SOURCE_DIR}/IndexPlugin/PostgreSQLVersion5.sql
+  POSTGRESQL_PREPARE_V6 ${CMAKE_CURRENT_SOURCE_DIR}/IndexPlugin/PostgreSQLVersion6.sql
   )
 
 set(CORE_SOURCES
