=== debian/changelog ===
orthanc-postgresql (2.0-5) unstable; urgency=medium

  * Team upload
  * Moved packaging from SVN to Git
  * Removed myself from Uploaders
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Thu, 30 Nov 2017 15:45:17 +0100

orthanc-postgresql (2.0-4) unstable; urgency=medium

  * Fix to find PostgreSQL 10 dev headers. Closes: #878565

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 16 Oct 2017 09:20:09 +0200

orthanc-postgresql (2.0-3) unstable; urgency=medium

  * Fix to find PostgreSQL 9.6 dev headers. Closes: #839309

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 03 Oct 2016 10:45:00 +0200

orthanc-postgresql (2.0-2) unstable; urgency=medium

  * Fix to find PostgreSQL 9.5 dev headers. Closes: #811141
  * Add hardening flags

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 29 Jun 2016 17:02:36 +0200

orthanc-postgresql (2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 10 Dec 2015 15:13:49 +0100

orthanc-postgresql (1.3-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 07 Oct 2015 11:41:47 +0200
