=== debian/control ===
Source: orthanc-postgresql
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>
Section: science
Priority: optional
Build-Depends: cmake,
               debhelper (>= 10),
               libboost-all-dev,
               libgtest-dev,
               libjsoncpp-dev,
               libpq-dev,
               orthanc-dev,
               postgresql-server-dev-all,
               unzip,
               uuid-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-postgresql.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-postgresql.git
Homepage: https://www.orthanc-server.com/static.php?page=postgresql

Package: orthanc-postgresql
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         orthanc (>= 0.9.5)
Suggests: postgresql
Description: Plugins to use PostgreSQL as a database back-end to Orthanc
 Orthanc PostgreSQL is a set of two plugins to Orthanc, a lightweight,
 RESTful Vendor Neutral Archive for medical imaging. These plugins
 override the default SQLite engine of Orthanc with a PostgreSQL
 back-end. They bring scalability to Orthanc, making it
 enterprise-ready.
