=== debian/rules ===
--- 
+++ 
@@ -1,18 +1,22 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
+
 export JAVASCRIPT_LIBS := Build/javascript-libs
-export DEBIAN_VERSION := $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
-export UPSTREAM_VERSION := $(shell echo "$(DEBIAN_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export TARGET_INDEX := libOrthancPostgreSQLIndex.so
 export TARGET_STORAGE := libOrthancPostgreSQLStorage.so
 
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
+
 %:
-	dh $@ --parallel --builddirectory=Build
+	dh $@ --builddirectory=Build
 
 CMAKE_EXTRA_FLAGS += \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
         -DUSE_GTEST_DEBIAN_SOURCE_PACKAGE:BOOL=ON \
+	-DDEB_VERSION=$(DEB_VERSION) \
 	-DCMAKE_BUILD_TYPE=""   # The build type must be left empty, see #711515
 
 override_dh_auto_configure:
