=== debian/watch ===
version=3
opts="downloadurlmangle=s/\/browse\.php\?path=//g" \
https://www.orthanc-server.com/browse.php?path=/plugin-postgresql downloads/get\.php\?path=/plugin-postgresql/OrthancPostgreSQL-(\d\S*)\.tar\.gz
