=== debian/changelog ===
orthanc-postgresql (2.2-1) unstable; urgency=medium

  * New upstream version
  * Updated d/upstream/metadata with new reference paper about Orthanc

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 17 Jul 2018 18:10:20 +0200

orthanc-postgresql (2.1-2) unstable; urgency=medium

  * Set -DNDEBUG to disable assertion checking
  * Set -DCMAKE_BUILD_TYPE=None

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 14:21:02 +0200

orthanc-postgresql (2.1-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 20 Apr 2018 17:31:27 +0200
