=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                postgresql-server-dev-all,
                unzip,
                uuid-dev
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc-postgresql.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc-postgresql.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc-postgresql
+Vcs-Git: https://salsa.debian.org/med-team/orthanc-postgresql.git
 Homepage: https://www.orthanc-server.com/static.php?page=postgresql
 
 Package: orthanc-postgresql
