=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable

export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
export TARGET_INDEX := libOrthancPostgreSQLIndex.so
export TARGET_STORAGE := libOrthancPostgreSQLStorage.so

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

# Disable assert() checking from upstream project, for best performance
# https://lists.debian.org/debian-med/2018/04/msg00132.html
export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ --builddirectory=Build

CMAKE_EXTRA_FLAGS += \
	-DCMAKE_SKIP_RPATH:BOOL=ON \
	-DSTATIC_BUILD:BOOL=OFF \
        -DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
        -DDEB_VERSION=$(DEB_VERSION) \
        -DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515

override_dh_auto_configure:
        # Put 3rd party packages where the cmake build system expects them
	mkdir -p PostgreSQL/ThirdPartyDownloads
	( cd PostgreSQL/ThirdPartyDownloads && \
	  cp ../../debian/ThirdPartyDownloads/Orthanc-1.4.0.tar.gz . )

	mkdir Build
	dh_auto_configure --builddirectory=Build \
			  --sourcedirectory=PostgreSQL \
			  -- $(CMAKE_EXTRA_FLAGS)

override_dh_clean:
	rm -rf PostgreSQL/ThirdPartyDownloads/
	dh_clean

override_dh_auto_install:
	cp Build/${TARGET_INDEX} Build/${TARGET_INDEX}.${UPSTREAM_VERSION}
	cp Build/${TARGET_STORAGE} Build/${TARGET_STORAGE}.${UPSTREAM_VERSION}

	dh_install Build/${TARGET_INDEX}.${UPSTREAM_VERSION} usr/lib
	dh_install Build/${TARGET_STORAGE}.${UPSTREAM_VERSION} usr/lib

override_dh_link:
	dh_link usr/lib/${TARGET_INDEX}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET_INDEX}
	dh_link usr/lib/${TARGET_STORAGE}.${UPSTREAM_VERSION} usr/share/orthanc/plugins/${TARGET_STORAGE}

override_dh_installchangelogs:
	dh_installchangelogs -k PostgreSQL/NEWS
