=== debian/changelog ===
orthanc-postgresql (3.1-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 09 Feb 2019 11:27:38 +0100

orthanc-postgresql (3.0-2) unstable; urgency=medium

  * Removed $(DEB_VERSION) from SOVERSION.

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 28 Jan 2019 12:58:36 +0100

orthanc-postgresql (3.0-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 22 Jan 2019 09:48:21 +0100

orthanc-postgresql (2.2-4) unstable; urgency=medium

  * Fix missing dependency on zlib1g-dev. Closes: #916954

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 21 Dec 2018 09:24:42 +0100

orthanc-postgresql (2.2-3) unstable; urgency=medium

  * Fix build with PostgreSQL 11. Closes: #912108

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 28 Oct 2018 12:04:52 +0100

orthanc-postgresql (2.2-2) unstable; urgency=medium

  * Ignore loading of pg_trgm extension if insufficient privileges. Closes: #906771

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 03 Sep 2018 16:59:26 +0200
