=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper (>= 10),
+               libssl-dev,
                libboost-all-dev,
                libgtest-dev,
                libjsoncpp-dev,
@@ -12,8 +13,9 @@
                orthanc-dev,
                postgresql-server-dev-all,
                unzip,
-               uuid-dev
-Standards-Version: 4.1.5
+               uuid-dev,
+               zlib1g-dev
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-postgresql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-postgresql.git
 Homepage: https://www.orthanc-server.com/static.php?page=postgresql
