## orthanc-postgresql 3.2

=== PostgreSQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,17 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPostgreSQL)
 
-set(ORTHANC_PLUGIN_VERSION "3.1")
+set(ORTHANC_PLUGIN_VERSION "3.2")
+
+set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
+set(ORTHANC_OPTIMAL_VERSION_MINOR    5)
+set(ORTHANC_OPTIMAL_VERSION_REVISION 4)
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "1.5.4")
+  set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_OPTIMAL_VERSION_MAJOR}.${ORTHANC_OPTIMAL_VERSION_MINOR}.${ORTHANC_OPTIMAL_VERSION_REVISION}")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
