=== debian/changelog ===
orthanc-postgresql (3.2-3) unstable; urgency=medium

  [ Dimitri John Ledkov and Gianfranco Costamagna ]
  * Fix FTBFS with PostgreSQL 12 and forthcoming 13. Closes: #966613

  [ Sebastien Jodogne ]
  * debhelper-compat 13

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 02 Aug 2020 11:10:59 +0200

orthanc-postgresql (3.2-2) unstable; urgency=medium

  * Updated Orthanc framework to 1.7.0. Closes: #962229

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 05 Jun 2020 08:59:16 +0200

orthanc-postgresql (3.2-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 01 Mar 2019 17:23:17 +0100
