=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper-compat (= 13),
                libssl-dev,
                libboost-all-dev,
                libgtest-dev,
@@ -15,7 +15,7 @@
                unzip,
                uuid-dev,
                zlib1g-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-postgresql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-postgresql.git
 Homepage: https://www.orthanc-server.com/static.php?page=postgresql
