## orthanc-postgresql 3.3

=== PostgreSQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPostgreSQL)
 
-set(ORTHANC_PLUGIN_VERSION "3.2")
+set(ORTHANC_PLUGIN_VERSION "3.3")
 
 set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
 set(ORTHANC_OPTIMAL_VERSION_MINOR    5)
@@ -11,21 +11,23 @@
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "${ORTHANC_OPTIMAL_VERSION_MAJOR}.${ORTHANC_OPTIMAL_VERSION_MINOR}.${ORTHANC_OPTIMAL_VERSION_REVISION}")
+  set(ORTHANC_FRAMEWORK_VERSION "4a3ba4bf4ba7")  # This is Orthanc Framework pre-1.8.2 (includes a fix for OpenSSL on MSVC)
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
 
+set(ENABLE_SSL ON)
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginParameters.cmake)
 
 set(ENABLE_POSTGRESQL_BACKEND ON)
-  
+set(OPENSSL_STATIC_VERSION "1.1.1" CACHE STRING "Force the use of OpenSSL 1.1.1" FORCE)
+
 include(${CMAKE_SOURCE_DIR}/../Resources/CMake/DatabasesPluginConfiguration.cmake)
 
 
 if (${CMAKE_SYSTEM_NAME} STREQUAL "Windows")
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_PLUGIN_VERSION} "PostgreSQL storage area plugin" OrthancPostgreSQLStorage.dll
     "PostgreSQL as a database back-end to Orthanc (storage area)"
     ERROR_VARIABLE Failure
@@ -38,7 +40,7 @@
 
   execute_process(
     COMMAND 
-    ${PYTHON_EXECUTABLE} ${ORTHANC_ROOT}/Resources/WindowsResources.py
+    ${PYTHON_EXECUTABLE} ${ORTHANC_FRAMEWORK_ROOT}/../Resources/WindowsResources.py
     ${ORTHANC_PLUGIN_VERSION} "PostgreSQL index plugin" OrthancPostgreSQLIndex.dll
     "PostgreSQL as a database back-end to Orthanc (index)"
     ERROR_VARIABLE Failure
@@ -62,6 +64,12 @@
   POSTGRESQL_GET_LAST_CHANGE_INDEX  ${CMAKE_SOURCE_DIR}/Plugins/GetLastChangeIndex.sql
   )
 
+add_custom_target(
+  AutogeneratedTarget
+  DEPENDS 
+  ${AUTOGENERATED_SOURCES}
+  )
+
 add_library(OrthancPostgreSQLIndex SHARED
   ${INDEX_RESOURCES}
   ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
@@ -72,6 +80,8 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_dependencies(OrthancPostgreSQLIndex AutogeneratedTarget)
+
 add_library(OrthancPostgreSQLStorage SHARED
   ${ORTHANC_DATABASES_ROOT}/Framework/Plugins/PluginInitialization.cpp
   ${STORAGE_RESOURCES}
@@ -81,6 +91,8 @@
   ${DATABASES_SOURCES}
   ${AUTOGENERATED_SOURCES}
   )
+
+add_dependencies(OrthancPostgreSQLStorage AutogeneratedTarget)
 
 message("Setting the version of the libraries to ${ORTHANC_PLUGIN_VERSION}")
 
@@ -117,6 +129,8 @@
   ${AUTOGENERATED_SOURCES}
   )
 
+add_dependencies(UnitTests AutogeneratedTarget)
+
 target_link_libraries(UnitTests ${GOOGLE_TEST_LIBRARIES})
 set_target_properties(UnitTests PROPERTIES
   COMPILE_FLAGS -DORTHANC_ENABLE_LOGGING_PLUGIN=0
