=== debian/changelog ===
orthanc-postgresql (3.3-1) unstable; urgency=medium

  * New upstream version
  * Dynamic linking against "liborthancframework*"

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 14 Dec 2020 18:19:06 +0100
