=== debian/control ===
--- 
+++ 
@@ -5,17 +5,13 @@
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               libssl-dev,
-               libboost-all-dev,
                libgtest-dev,
-               libjsoncpp-dev,
+               liborthancframework-dev,
                libpq-dev,
                orthanc-dev,
                postgresql-server-dev-all,
-               unzip,
-               uuid-dev,
-               zlib1g-dev
-Standards-Version: 4.5.0
+               unzip
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-postgresql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-postgresql.git
 Homepage: https://www.orthanc-server.com/static.php?page=postgresql
