=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,downloadurlmangle=s/\/browse\.php\?path=//g,repack,compression=xz" \
https://www.orthanc-server.com/browse.php?path=/plugin-postgresql downloads/get\.php\?path=/plugin-postgresql/OrthancPostgreSQL-(\d\S*)\.tar\.gz
