## orthanc-postgresql 4.0

=== PostgreSQL/CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,17 @@
 cmake_minimum_required(VERSION 2.8)
 project(OrthancPostgreSQL)
 
-set(ORTHANC_PLUGIN_VERSION "3.3")
+set(ORTHANC_PLUGIN_VERSION "4.0")
 
 set(ORTHANC_OPTIMAL_VERSION_MAJOR    1)
-set(ORTHANC_OPTIMAL_VERSION_MINOR    5)
-set(ORTHANC_OPTIMAL_VERSION_REVISION 4)
+set(ORTHANC_OPTIMAL_VERSION_MINOR    9)
+set(ORTHANC_OPTIMAL_VERSION_REVISION 2)
 
 if (ORTHANC_PLUGIN_VERSION STREQUAL "mainline")
   set(ORTHANC_FRAMEWORK_VERSION "mainline")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "hg")
 else()
-  set(ORTHANC_FRAMEWORK_VERSION "4a3ba4bf4ba7")  # This is Orthanc Framework pre-1.8.2 (includes a fix for OpenSSL on MSVC)
+  set(ORTHANC_FRAMEWORK_VERSION "1.9.2")
   set(ORTHANC_FRAMEWORK_DEFAULT_SOURCE "web")
 endif()
