=== debian/changelog ===
orthanc-postgresql (4.0-7) unstable; urgency=medium

  * Team Upload.
  * Fix FTBFS with postgres 15 (Closes: #1022408)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 24 Oct 2022 07:55:03 +0000

orthanc-postgresql (4.0-6) unstable; urgency=medium

  * Rebuild because of fix in build dependencies.
  * Updated d/copyright

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Jun 2022 07:29:11 +0200

orthanc-postgresql (4.0-5) unstable; urgency=medium

  * Replace explicit restart of Orthanc by orthanc-restart-trigger

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 16 Jan 2022 18:33:58 +0100

orthanc-postgresql (4.0-4) unstable; urgency=medium

  * Fix FTBFS with PostgreSQL 14. Closes: #997392

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sun, 24 Oct 2021 10:31:29 +0200

orthanc-postgresql (4.0-3) unstable; urgency=medium

  * Upload to unstable after freeze

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 01 Sep 2021 15:09:07 +0200

orthanc-postgresql (4.0-2) experimental; urgency=medium

  * Added missing "Built-Using" attribute

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 08 Jul 2021 16:44:57 +0200

orthanc-postgresql (4.0-1) experimental; urgency=medium

  * New upstream version
  * Statically link against the Orthanc framework

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 26 Apr 2021 10:54:17 +0200
