=== debian/control ===
--- 
+++ 
@@ -8,10 +8,11 @@
                libgtest-dev,
                liborthancframework-dev,
                libpq-dev,
-               orthanc-dev,
+               orthanc-dev (>= 0.9.5),
                postgresql-server-dev-all,
+               uuid-dev,
                unzip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-postgresql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-postgresql.git
 Homepage: https://www.orthanc-server.com/static.php?page=postgresql
@@ -20,7 +21,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         orthanc (>= 0.9.5)
+         orthanc (>= 1.9.7+dfsg-6)
+Built-Using: ${orthancframework:Built-Using}
 Suggests: postgresql
 Description: Plugins to use PostgreSQL as a database back-end to Orthanc
  Orthanc PostgreSQL is a set of two plugins to Orthanc, a lightweight,
