## orthanc-postgresql 5.0%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 include /usr/share/dpkg/pkg-info.mk   # To access the "DEB_VERSION" variable
 
-export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '-' -f 1)
+export UPSTREAM_VERSION := $(shell echo "$(DEB_VERSION)" | cut -d '+' -f 1)
 export TARGET_INDEX := libOrthancPostgreSQLIndex.so
 export TARGET_STORAGE := libOrthancPostgreSQLStorage.so
