=== debian/changelog ===
orthanc-postgresql (5.0+dfsg-5) unstable; urgency=medium

  * Fix FTBFS with recent versions of CMake (Closes: #1113375)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 01 Sep 2025 12:17:15 +0200

orthanc-postgresql (5.0+dfsg-4) unstable; urgency=medium

  * Fix FTBFS with boost 1.88 (Closes: #1110760)

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 19 Aug 2025 13:52:47 +0200

orthanc-postgresql (5.0+dfsg-3) unstable; urgency=medium

  * Fix FTBFS with PostgreSQL 17

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Sep 2024 10:22:49 +0200

orthanc-postgresql (5.0+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Fix FTBFS with postgres 16 (Closes: #1052893)

 -- Nilesh Patra <nilesh@debian.org>  Mon, 02 Oct 2023 13:59:01 +0530

orthanc-postgresql (5.0+dfsg-1) unstable; urgency=medium

  * New upstream version. Closes: #1037603

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 15 Jul 2023 13:16:22 +0200
