=== debian/control ===
--- 
+++ 
@@ -8,14 +8,17 @@
                libgtest-dev,
                liborthancframework-dev,
                libpq-dev,
+               libprotobuf-dev,
                orthanc-dev (>= 0.9.5),
                postgresql-server-dev-all,
+               protobuf-compiler,
                uuid-dev,
                unzip
-Standards-Version: 4.6.0
+Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc-postgresql
 Vcs-Git: https://salsa.debian.org/med-team/orthanc-postgresql.git
-Homepage: https://www.orthanc-server.com/static.php?page=postgresql
+Homepage: https://orthanc.uclouvain.be/book/plugins/postgresql.html
 
 Package: orthanc-postgresql
 Architecture: any
